Summary:	IETF Opus Interactive Audio Codec
Summary(pl.UTF-8):	Opus - interaktywny kodek dźwięku wg projektu IETF
Name:		opus
Version:	1.3.1
Release:	1
License:	BSD
Group:		Libraries
# releases <= 1.2 also on
#Source0:	http://downloads.xiph.org/releases/opus/%{name}-%{version}.tar.gz
Source0:	https://archive.mozilla.org/pub/opus/%{name}-%{version}.tar.gz
# Source0-md5:	d7c07db796d21c9cf1861e0c2b0c0617
URL:		http://opus-codec.org/
BuildRequires:	autoconf >= 2.59
BuildRequires:	automake >= 1.6
BuildRequires:	libtool
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The Opus codec is designed for interactive speech and audio
transmission over the Internet. It is designed by the IETF Codec
Working Group and incorporates technology from Skype's SILK codec and
Xiph.Org's CELT codec.

%description -l pl.UTF-8
Kodek Opus został zaprojektowany do interaktywnej transmisji mowy i
dźwięku przez Internet. Zaprojektowała go IETC Codec Working Group,
łącząc technologię z kodeka SILK Skype'a i kodeka CELT Xiph.Org.

%package devel
Summary:	Header files for OPUS libraries
Summary(pl.UTF-8):	Pliki nagłówkowe bibliotek OPUS
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Header files for OPUS libraries.

%description devel -l pl.UTF-8
Pliki nagłówkowe bibliotek OPUS.

%package static
Summary:	Static OPUS libraries
Summary(pl.UTF-8):	Statyczne biblioteki OPUS
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static OPUS libraries.

%description static -l pl.UTF-8
Statyczne biblioteki OPUS.

%prep
%setup -q

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--enable-custom-modes \
	--disable-silent-rules
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# packaged as %doc
%{__rm} -r $RPM_BUILD_ROOT%{_docdir}/opus/html

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS COPYING README
%attr(755,root,root) %{_libdir}/libopus.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libopus.so.0

%files devel
%defattr(644,root,root,755)
%doc doc/html/*
%attr(755,root,root) %{_libdir}/libopus.so
%{_libdir}/libopus.la
%{_includedir}/opus
%{_pkgconfigdir}/opus.pc
%{_aclocaldir}/opus.m4
%{_mandir}/man3/opus_*.3*

%files static
%defattr(644,root,root,755)
%{_libdir}/libopus.a
%changelog
* Sun Apr 21 2019 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/opus.git;a=log;h=master

* Fri Apr 19 2019 Jan Palus <atler@pld-linux.org> 53d8c23
- up to 1.3.1

* Sun Oct 21 2018 Jan Palus <atler@pld-linux.org> b69c9fb
- up to 1.3

* Thu Jul 13 2017 Jakub Bogusz <qboosh@pld-linux.org> 570f467
- use Source0 URL pointed at opus-codec.org; updated to 1.2.1

* Mon Jan 23 2017 Jakub Bogusz <qboosh@pld-linux.org> 018cd2d
- updated to 1.1.4

* Sat Jul 16 2016 Jakub Bogusz <qboosh@pld-linux.org> c846dab
- updated to 1.1.3

* Thu Jan 14 2016 Jakub Bogusz <qboosh@pld-linux.org> bbce12b
- updated to 1.1.2

* Thu Nov 26 2015 Jakub Bogusz <qboosh@pld-linux.org> 12fe09a
- updated to 1.1.1
- removed obsolete sh patch

* Tue Feb 24 2015 Jan Rękorajski <baggins@pld-linux.org> bc9951a
- x32 rebuild
- release 2 (by relup.sh)

* Fri Dec 06 2013 Jakub Bogusz <qboosh@pld-linux.org> 83841a1
- updated to 1.1
- added sh patch (fixes build with sh not being bash)

* Sun Nov 03 2013 Jakub Bogusz <qboosh@pld-linux.org> b776a8b
- enable custom modes interface, release 2

* Thu Jul 18 2013 Jakub Bogusz <qboosh@pld-linux.org> c4ceab3
- updated to 1.0.3

* Sat Dec 08 2012 Jakub Bogusz <qboosh@pld-linux.org> 0db21e7
- updated to 1.0.2

* Thu Sep 13 2012 Jakub Bogusz <qboosh@pld-linux.org> 8e4598f
- updated to 1.0.1
- removed obsolete link patch

* Tue May 22 2012 Jakub Bogusz <qboosh@pld-linux.org> 829f5b6
- updated to 0.9.14

* Wed Feb 22 2012 Jakub Bogusz <qboosh@pld-linux.org> bf9fed0
- updated to 0.9.9

* Wed Nov 02 2011 Jakub Bogusz <qboosh@pld-linux.org> 1950c9f
- updated to 0.9.8

* Wed Aug 17 2011 Jakub Bogusz <qboosh@pld-linux.org> db78488
- updated to 0.9.6

* Tue Jul 12 2011 Jakub Bogusz <qboosh@pld-linux.org> 5a4888b
- updated to 0.9.5
- updated link patch
- removed outdated celt-rename patch (everything is now built as libopus library)

* Wed Mar 16 2011 Jakub Bogusz <qboosh@pld-linux.org> fd215a1
- updated to 0.9.3

* Fri Mar 11 2011 Jakub Bogusz <qboosh@pld-linux.org> 9a8599c
- new

